EVENTS
Get Event Details
Fetch event details and its linked schema.
GET
/
v1
/
{workspace}
/
event
/
{url_encoded_event_name}
/
cURL
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "user_signup",
"description": "Triggered whenever a new user successfully signs up on the platform",
"payload_schema": {
"schema": "user_signup_v1",
"version_no": 1
},
"created_at": "2025-08-27T09:30:57.945326Z",
"$schema": "https://schema.suprsend.com/event/v1/schema.json"
}{
"code": 400,
"error_code": "error",
"type": "ValidationError",
"message": "{\"name\": [\"This field is required.\"]}",
"detail": {
"name": [
"This field is required."
]
}
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}Authorizations
You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.
Path Parameters
Workspace slug (staging, production, etc.)
URL encoded event name. Example - SHIPMENT%20ARRIVED
Response
Successfully retrieved event
Event name
Example:
"user_signup"
Description of the event
Example:
"Triggered whenever a new user successfully signs up on the platform"
Show child attributes
Show child attributes
When the event was created
Example:
"2025-08-27T09:30:57.945326Z"
JSON Schema reference for how the event API call should be structured.
Example:
"https://schema.suprsend.com/event/v1/schema.json"
Was this page helpful?
⌘I
cURL
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "user_signup",
"description": "Triggered whenever a new user successfully signs up on the platform",
"payload_schema": {
"schema": "user_signup_v1",
"version_no": 1
},
"created_at": "2025-08-27T09:30:57.945326Z",
"$schema": "https://schema.suprsend.com/event/v1/schema.json"
}{
"code": 400,
"error_code": "error",
"type": "ValidationError",
"message": "{\"name\": [\"This field is required.\"]}",
"detail": {
"name": [
"This field is required."
]
}
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}